%define upstream_name    WWW-Shorten
%define upstream_version 3.093

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl interface to makeashorterlink.com
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long) >= 2.400.0
BuildRequires: perl(LWP::UserAgent) >= 5.835.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny) >= 0.240.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The function 'makeashorterlink' will call the relevant web site passing it
your long URL and will return the shorter version.

The function 'makealongerlink' does the reverse. 'makealongerlink' will
accept as an argument either the full shortened URL or just the identifier.

If anything goes wrong, then either function will return 'undef'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Disable this test, is relies on tinyurl.com server and often fails
rm -f t/tinyurl.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/shorten
%{_mandir}/man1/shorten.1*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 3.93.0-3pclos2017
- rebuild against updates

